ObjectARX
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

AcDbRegion::getAreaProp() arguments

0 REPLIES 0
Reply
Message 1 of 1
Anonymous
214 Views, 0 Replies

AcDbRegion::getAreaProp() arguments


Hi All,

 

 

void get_area_prop()

{

    AcDbVoidPtrArray curveSegments,
regions;

    AcDbRegion::createFromCurves(curveSegments,
regions);

    AcGePoint3d origin;
   
AcGeVector3d xAxis, yAxis;

   
pRegion->getAreaProp(origin, xAxis, yAxis,
perimeter,
                         
            area, centroid,
momInertia,
prodInertia,
                                      prinMoments,
prinAxes,
radiiGyration,
                                      extentsLow,
extentsHigh);

}


face=Arial>

the
arguments origin, xAxis, yAxis are input arguments

what
is the best way to get the right values?

Thanx in
advance,

Moshe

0 REPLIES 0

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Autodesk Design & Make Report

”Boost